
#language: ru

@TransportLogistics

Функционал: 011. TransportLogistics. Создание заданий на доставку

Сценарий: 011.1. TransportLogistics. Задание на доставку для проверки попадания планов отгрузки в статусе запланировано в АРМы Мониторинг отгрузки и Формировнаие накладных

	Дано Я подключаюсь под "Создание заданий на доставку"
	Дано я устанавливаю текущему сеансу заголовок приложения "18.011. Транспортная логистика"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                                                                                                      |
		| 'План отгрузки для проверки попадания планов отгрузки в статусе запланировано в АРМы Мониторинг отгрузки и Формирование накладных' |
	И я нажимаю на кнопку 'Задание на доставку'
	Тогда открылось окно 'Задание на доставку (создание)'
	И из выпадающего списка с именем "Статус" я выбираю точное значение 'К погрузке'
	И из выпадающего списка "Перевозчик" я выбираю по строке 'Перевозчик(Газель)'
	И из выпадающего списка "Транспортное средство" я выбираю точное значение 'А524НВ Газель'
	И в поле с именем 'Дата' я ввожу текст '19.05.2020  0:00:00'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Задание на доставку (создание) *' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И я закрываю окно 'Планы отгрузки'

Сценарий: 011.2. TransportLogistics. Проверка сохранения группировки и даты

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Рабочее место менеджера по доставке'
	Тогда открылось окно 'Формирование заданий на доставку на *'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Группа складов для отгрузки'
	И в поле 'Распоряжения на дату' я ввожу текст '07.04.20'
	И я перехожу к следующему реквизиту
	Тогда таблица "РаспоряженияНаДоставку" стала равной по шаблону:
		| 'Зона / Заказ / Распоряжение' | 'Адрес'                                                                                | 'Получатель'             | 'Мест'   | 'Склад'      | 'Вес, кг' |
		| ''                            | ''                                                                                     | ''                       | '86,331' | ''           | '153,75'  |
		| 'Заказ клиента *'             | 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223' | 'Ашан. Скидочный регион' | '57,554' | ''           | '102,5'   |
		| 'План отгрузки *'             | ''                                                                                     | 'Ашан. Скидочный регион' | '57,554' | 'Сырная ГП'  | '102,5'   |
		| 'Заказ клиента *'             | 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223' | 'Ашан. Скидочный регион' | '28,777' | ''           | '51,25'   |
		| 'План отгрузки *'             | ''                                                                                     | 'Ашан. Скидочный регион' | '28,777' | 'Куриная ГП' | '51,25'   |
	* Установка значений
		И я меняю значение переключателя с именем 'ГруппировкаРаспоряженийНаДоставку' на 'Зона / Адрес / Распоряжение'
		Тогда таблица "РаспоряженияНаДоставку" стала равной по шаблону:
			| 'Зона / Адрес / Распоряжение'                                                          | 'Получатель'             | 'Мест'   | 'Склад'                       | 'Вес, кг' |
			| ''                                                                                     | ''                       | '86,331' | ''                            | '153,75'  |
			| 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223' | 'Ашан. Скидочный регион' | '86,331' | 'Группа складов для отгрузки' | '153,75'  |
			| 'План отгрузки *'                                                                      | ''                       | '57,554' | ''                            | '102,5'   |
			| 'План отгрузки *'                                                                      | ''                       | '28,777' | ''                            | '51,25'   |
		И Я закрываю окно 'Формирование заданий на доставку на  [07.04.2020]'
	* Проверка значений
		И В командном интерфейсе я выбираю 'Склад и доставка' 'Рабочее место менеджера по доставке'
		Тогда открылось окно 'Формирование заданий на доставку на  [07.04.2020]'
		Тогда таблица "РаспоряженияНаДоставку" стала равной по шаблону:
			| 'Зона / Адрес / Распоряжение'                                                          | 'Получатель'             | 'Мест'   | 'Склад'                       | 'Вес, кг' |
			| ''                                                                                     | ''                       | '86,331' | ''                            | '153,75'  |
			| 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223' | 'Ашан. Скидочный регион' | '86,331' | 'Группа складов для отгрузки' | '153,75'  |
			| 'План отгрузки *'                                                                      | ''                       | '57,554' | ''                            | '102,5'   |
			| 'План отгрузки *'                                                                      | ''                       | '28,777' | ''                            | '51,25'   |
	* Возвращаем группировку
		И я меняю значение переключателя с именем 'ГруппировкаРаспоряженийНаДоставку' на 'Зона / Заказ / Распоряжение'
		Тогда таблица "РаспоряженияНаДоставку" стала равной по шаблону:
			| 'Зона / Заказ / Распоряжение' | 'Адрес'                                                                                | 'Получатель'             | 'Мест'   | 'Склад'      | 'Вес, кг' |
			| ''                            | ''                                                                                     | ''                       | '86,331' | ''           | '153,75'  |
			| 'Заказ клиента *'             | 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223' | 'Ашан. Скидочный регион' | '57,554' | ''           | '102,5'   |
			| 'План отгрузки *'             | ''                                                                                     | 'Ашан. Скидочный регион' | '57,554' | 'Сырная ГП'  | '102,5'   |
			| 'Заказ клиента *'             | 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223' | 'Ашан. Скидочный регион' | '28,777' | ''           | '51,25'   |
			| 'План отгрузки *'             | ''                                                                                     | 'Ашан. Скидочный регион' | '28,777' | 'Куриная ГП' | '51,25'   |
	И Я закрываю окно 'Формирование заданий на доставку на *'

Сценарий: 011.3. TransportLogistics. Создание задания на доставку для группы складов, проверка времени отправления

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Рабочее место менеджера по доставке'
	Тогда открылось окно 'Формирование заданий на доставку на *'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Группа складов для отгрузки'
	И в поле 'Распоряжения на дату' я ввожу текст '07.04.20'
	И в таблице "ЗаданияНаДоставкуПланируемые" я нажимаю на кнопку с именем 'ЗаданияНаДоставкуПланируемыеСоздатьЗаданияНаДоставку'
	Тогда открылось окно 'Форма выбора транспорта'
	И в таблице "ТранспортныеСредства" я перехожу к строке:
		| 'Наименование'  |
		| 'А524НВ Газель' |
	И я нажимаю на кнопку '>'
	И я нажимаю на кнопку 'Сформировать задания'
	Тогда открылось окно 'Формирование заданий на доставку на *'
	И в таблице "РаспоряженияНаДоставку" я перехожу к строке:
		| 'Вес, кг' | 'Мест'   |
		| '153,75'  | '86,331' |
	И в таблице "РаспоряженияНаДоставку" я перехожу к строке:
		| 'Адрес'                                                                                | 'Вес, кг' | 'Мест'   | 'Получатель'             |
		| 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223' | '51,25'   | '28,777' | 'Ашан. Скидочный регион' |
	И в таблице "РаспоряженияНаДоставку" я сворачиваю текущую строку
	Тогда таблица "РаспоряженияНаДоставку" стала равной по шаблону:
		| 'Зона / Заказ / Распоряжение' | 'Адрес'                                                                                | 'Получатель'             | 'Мест'   | 'Склад'     | 'Вес, кг' |
		| ''                            | ''                                                                                     | ''                       | '86,331' | ''          | '153,75'  |
		| 'Заказ клиента *'             | 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223' | 'Ашан. Скидочный регион' | '57,554' | ''          | '102,5'   |
		| 'План отгрузки *'             | ''                                                                                     | 'Ашан. Скидочный регион' | '57,554' | 'Сырная ГП' | '102,5'   |
		| 'Заказ клиента *'             | 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223' | 'Ашан. Скидочный регион' | '28,777' | ''          | '51,25'   |
	Тогда таблица "РаспоряженияНаДоставку" не содержит строки:
		| 'Адрес'                                                                                | 'Получатель'             | 'Мест'   | 'Склад'      | 'Вес, кг' |
		| ''                                                                                     | 'Ашан. Скидочный регион' | '28,777' | 'Куриная ГП' | '51,25'   |
	И в таблице "РаспоряженияНаДоставку" я перехожу к строке:
		| 'Адрес'                                                                                | 'Вес, кг' | 'Мест'   | 'Получатель'             |
		| 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223' | '102,5'   | '57,554' | 'Ашан. Скидочный регион' |
	И я нажимаю на кнопку с именем 'ПеренестиСтрокиВРейс'
	Тогда таблица "РаспоряженияНаДоставку" стала равной по шаблону:
		| 'Зона / Заказ / Распоряжение' | 'Адрес'                                                                                | 'Получатель'             | 'Мест'   | 'Склад'     | 'Вес, кг' |
		| ''                            | ''                                                                                     | ''                       | '28,777' | ''          | '51,25'   |
		| 'Заказ клиента *'             | 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223' | 'Ашан. Скидочный регион' | '28,777' | ''          | '51,25'   |
	Тогда таблица "РаспоряженияНаДоставку" не содержит строки:
		| 'Адрес'                                                                                | 'Получатель'             | 'Мест'   | 'Склад'      | 'Вес, кг' |
		| ''                                                                                     | 'Ашан. Скидочный регион' | '28,777' | 'Куриная ГП' | '51,25'   |
	И в таблице "РаспоряженияНаДоставку" я перехожу к строке:
		| 'Адрес'                                                                                | 'Вес, кг' | 'Мест'   | 'Получатель'             |
		| 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223' | '51,25'   | '28,777' | 'Ашан. Скидочный регион' |
	И я нажимаю на кнопку с именем 'ПеренестиСтрокиВРейс'
	И в таблице "ЗаданияНаДоставкуПланируемые" я перехожу к строке:
		| 'Вес, кг' | 'Мест'   | 'Склад'                       | 'Транспорт / Адрес / План отгрузки'      |
		| '153,75'  | '86,331' | 'Группа складов для отгрузки' | '7, А524НВ Газель, Водитель Петров Петр' |
	И в таблице "ЗаданияНаДоставкуПланируемые" я разворачиваю текущую строку
	И в таблице "ЗаданияНаДоставкуПланируемые" я перехожу к строке:
		| 'Вес, кг' | 'Мест'   | 'Склад'                       | 'Транспорт / Адрес / План отгрузки'                                                    |
		| '153,75'  | '86,331' | 'Группа складов для отгрузки' | 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223' |
	И в таблице "ЗаданияНаДоставкуПланируемые" я разворачиваю текущую строку
	И в таблице "ЗаданияНаДоставкуПланируемые" я перехожу к строке:
		| 'Вес, кг' | 'Мест'   | 'Склад'     |
		| '102,5'   | '57,554' | 'Сырная ГП' |
	И в таблице "ЗаданияНаДоставкуПланируемые" я перехожу к строке:
		| 'Вес, кг' | 'Мест'   | 'Склад'      |
		| '51,25'   | '28,777' | 'Куриная ГП' |
	И в таблице "ЗаданияНаДоставкуПланируемые" я нажимаю на кнопку с именем 'ЗаданияНаДоставкуПланируемыеСоздатьЗаданияНаДоставку'
	Тогда открылось окно 'Форма выбора транспорта'
	И в таблице "ТранспортныеСредства" я перехожу к строке:
		| 'Наименование'  |
		| 'А524НВ Газель' |
	И я нажимаю на кнопку '>'
	И в таблице "ВыбранныеТранспортныеСредства" я перехожу к строке:
		| 'Вместимость (мест)' | 'Водитель'             | 'Грузоподъемность (т)' | 'Тип'    | 'Транспорт'     | 'Транспортная компания' |
		| '35,000'             | 'Водитель Петров Петр' | '9,000'                | 'Газель' | 'А524НВ Газель' | 'Перевозчик(Газель)'    |
	И в таблице "ВыбранныеТранспортныеСредства" в поле 'Время отправления' я ввожу текст '13:00'
	И в таблице "ВыбранныеТранспортныеСредства" я завершаю редактирование строки
	И в таблице "ТранспортныеСредства" я перехожу к строке:
		| 'Наименование'  |
		| 'А524НВ Газель' |
	И я нажимаю на кнопку '>'
	И в таблице "ВыбранныеТранспортныеСредства" я перехожу к строке:
		| 'Вместимость (мест)' | 'Водитель'             | 'Грузоподъемность (т)' | 'Тип'    | 'Транспорт'     | 'Транспортная компания' | 'Время отправления' |
		| '35,000'             | 'Водитель Петров Петр' | '9,000'                | 'Газель' | 'А524НВ Газель' | 'Перевозчик(Газель)'    | ''                  |
	И в таблице "ВыбранныеТранспортныеСредства" в поле 'Время отправления' я ввожу текст '15:00'
	И в таблице "ВыбранныеТранспортныеСредства" я завершаю редактирование строки
	И я нажимаю на кнопку 'Сформировать задания'
	Тогда открылось окно 'Формирование заданий на доставку на *'
	Тогда таблица "ЗаданияНаДоставкуПланируемые" стала равной по шаблону:
		| 'Транспорт / Адрес / План отгрузки'                                                    | 'Время отправления' | 'Склад'                       | 'Вес, кг' | 'Мест'   |
		| '7, А524НВ Газель, Водитель Петров Петр'                                               | '00:00'             | 'Группа складов для отгрузки' | '153,75'  | '86,331' |
		| 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223' | ''                  | 'Группа складов для отгрузки' | '153,75'  | '86,331' |
		| 'План отгрузки * от *'                                                                 | ''                  | 'Сырная ГП'                   | '102,5'   | '57,554' |
		| 'План отгрузки * от *'                                                                 | ''                  | 'Куриная ГП'                  | '51,25'   | '28,777' |
		| '8, А524НВ Газель, Водитель Петров Петр'                                               | '13:00'             | 'Группа складов для отгрузки' | ''        | ''       |
		| '9, А524НВ Газель, Водитель Петров Петр'                                               | '15:00'             | 'Группа складов для отгрузки' | ''        | ''       |
	И Я закрываю окно 'Формирование заданий на доставку на *'

Сценарий: 011.4. TransportLogistics. Создание задания на доставку по шаблону

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Рабочее место менеджера по доставке'
	Тогда открылось окно 'Формирование заданий на доставку на *'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка с именем "Зона" я выбираю по строке 'Зона доставки'
	И в поле 'Распоряжения на дату' я ввожу текст '13.04.20'
	И я перехожу к следующему реквизиту
	И в таблице "РаспоряженияНаДоставку" я перехожу к строке:
		| 'Вес, кг' | 'Зона / Заказ / Распоряжение' |
		| '153,75'  | 'Зона доставки'               |
	И в таблице "РаспоряженияНаДоставку" я перехожу к строке:
		| 'Вес, кг' | 'Получатель'             | 'Склад'     |
		| '153,75'  | 'Точка доставки с зоной' | 'Сырная ГП' |
	И я нажимаю на кнопку с именем 'СформироватьЗаданияНаОсновеШаблонов'
	И в таблице "ЗаданияНаДоставкуПланируемые" я перехожу к строке:
		| 'Вес, кг' | 'Мест'   | 'Склад'     | 'Транспорт / Адрес / План отгрузки'       |
		| '153,75'  | '86,331' | 'Сырная ГП' | '10, А524НВ Газель, Водитель Петров Петр' |
	И в таблице "ЗаданияНаДоставкуПланируемые" я разворачиваю текущую строку
	И Я закрываю окно 'Формирование заданий на доставку на *'
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Задания на доставку'
	Тогда открылось окно 'Задания на доставку'
	И в таблице "Список" я перехожу к строке:
		| '(План) Начало рейса ' | 'Водитель'             | 'ТС'            |
		| '13.04.2020 0:00:00'   | 'Водитель Петров Петр' | 'А524НВ Газель' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Задание на доставку * от *'
	И элемент формы "Транспортное средство" стал равен "А524НВ Газель"
	И элемент формы "Водитель" стал равен "Водитель Петров Петр"
	И элемент формы "Склад" стал равен "Сырная ГП"
	И Я закрываю окно 'Задание на доставку * от *'
	Тогда открылось окно 'Задания на доставку'
	И Я закрываю окно 'Задания на доставку'

Сценарий: 011.5. TransportLogistics. Создание задания на доставку с ТС и водителем в виде строки

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                                          |
		| 'План отгрузки для задания на доставку с ТС и водителем в виде строки' |
	И я нажимаю на кнопку 'Задание на доставку'
	Тогда открылось окно 'Задание на доставку (создание)'
	И я нажимаю кнопку выбора у поля "Транспортное средство"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''       |
		| 'Строка' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Задание на доставку (создание) *'
	И в поле 'Транспортное средство' я ввожу текст 'Автомобиль (строка)'
	И я нажимаю кнопку выбора у поля "Водитель"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''       |
		| 'Строка' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Задание на доставку (создание) *'
	И в поле 'Водитель' я ввожу текст 'Водитель (строка)'
	И в поле с именем 'ГосНомерПрицепа' я ввожу текст 'Номер прицепа (строка)'
	И в поле 'Марка' я ввожу текст 'Марка прицепа (строка)'
	И в поле с именем 'Дата' я ввожу текст '06.04.2020  0:00:00'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Задание на доставку (создание) *' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И я закрываю окно 'Планы отгрузки'

Сценарий: 011.6. TransportLogistics. Проверка отображения задания на доставку с водителем и автомобилем в виде строки в АРМе Рабочее место менеджера по доставке

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Рабочее место менеджера по доставке'
	Тогда открылось окно 'Формирование заданий на доставку на *'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю кнопку очистить у поля с именем "Зона"
	И в поле 'Распоряжения на дату' я ввожу текст '06.04.20'
	И я перехожу к следующему реквизиту
	Тогда таблица "ЗаданияНаДоставкуПланируемые" стала равной по шаблону:
		| 'Транспорт / Адрес / План отгрузки'                                                    | 'Склад'     | 'Вес, кг' | 'Мест'   |
		| '2, Автомобиль (строка), Водитель (строка)'                                            | 'Сырная ГП' | '41'      | '23,022' |
		| 'Фактическая Нижегородская область, город Нижний Новгород, проспект Гагарина, дом 223' | 'Сырная ГП' | '41'      | '23,022' |
		| 'План отгрузки * от *'                                                                 | 'Сырная ГП' | '41'      | '23,022' |
	И я перехожу к закладке "Задания на доставку"
	И в таблице "ЗаданияНаДоставкуВРаботе" я перехожу к строке:
		| 'Вес, кг' | 'Водитель'          | 'Дата'       | 'Мест'   | 'Склад'     | 'Статус'      | 'Транспорт'           |
		| '41'      | 'Водитель (строка)' | '06.04.2020' | '23,022' | 'Сырная ГП' | 'Формируется' | 'Автомобиль (строка)' |
	И я нажимаю на кнопку с именем 'УстановитьСтатусКПогрузке'
	И Я закрываю окно 'Формирование заданий на доставку на *'

Сценарий: 011.7. TransportLogistics. Простой подбор транспорта

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Рабочее место менеджера по доставке'
	Тогда открылось окно 'Формирование заданий на доставку на *'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Сырная ГП'
	И в поле 'Распоряжения на дату' я ввожу текст '02.05.21'
	И я перехожу к следующему реквизиту
	И я устанавливаю флаг с именем 'ПростойПодборТранспорта'
	И в таблице "ЗаданияНаДоставкуПланируемые" я нажимаю на кнопку с именем 'ЗаданияНаДоставкуПланируемыеСоздатьЗаданияНаДоставку'
	Тогда открылось окно 'Простая форма выбора транспорта'
	* Проверка создания без ТС
		Когда я нажимаю на кнопку с именем 'СформироватьЗадание'
		Тогда в логе сообщений TestClient есть строка "Необходимо выбрать транспортное средство"
	* Проверка создания с ТС
		И я нажимаю кнопку выбора у поля "Транспортное средство"
		И Я выбираю транспортное средство "А524НВ Газель"
		Тогда открылось окно 'Простая форма выбора транспорта'
		И я нажимаю кнопку выбора у поля "Водитель"
		И Я выбираю "Водитель Петров Петр" с типом "Физическое лицо"
		Тогда открылось окно 'Простая форма выбора транспорта'
		Когда я нажимаю на кнопку с именем 'СформироватьЗадание'
		Тогда открылось окно 'Формирование заданий на доставку на  [02.05.2021] *'
	* Проверка созданного задания на доставку
		И в таблице "ЗаданияНаДоставкуПланируемые" я перехожу к строке:
			| 'Транспорт / Адрес / План отгрузки'       | 'Склад'     |
			| '11, А524НВ Газель, Водитель Петров Петр' | 'Сырная ГП' |
		И в таблице "ЗаданияНаДоставкуПланируемые" я активизирую поле с именем "ЗаданияНаДоставкуПланируемыеГруппировка"
		И в таблице "ЗаданияНаДоставкуПланируемые" я выбираю текущую строку
		Тогда открылось окно 'Задание на доставку * от *'
		И элемент формы с именем "СпособСоздания" стал равен 'АРМ \"Рабочее место менеджера по доставке\"'
		И элемент формы с именем "Статус" стал равен 'Формируется'
		И элемент формы с именем "Перевозчик" стал равен ''
		И элемент формы с именем "ТранспортноеСредство" стал равен 'А524НВ Газель'
		И элемент формы с именем "Водитель" стал равен 'Водитель Петров Петр'
		И элемент формы с именем "Склад" стал равен 'Сырная ГП'
		И элемент формы с именем "ДатаВремяРейсаПланС" стал равен '02.05.2021  0:00:00'
		И Я закрываю окно 'Задание на доставку * от *'
	Тогда открылось окно 'Формирование заданий на доставку на  [02.05.2021] *'
	И я снимаю флаг с именем 'ПростойПодборТранспорта'
	И Я закрываю окно 'Формирование заданий на доставку на  [02.05.2021] *'

Сценарий: 011.8. TransportLogistics. Проверка отборов в Рабочем месте менеджера по доставке

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Рабочее место менеджера по доставке'
	Тогда открылось окно 'Формирование заданий на доставку на  *'
	И я перехожу к закладке с именем "СтраницаЗаданияНаДоставкуВРаботе"
	* Проверка отбора по зоне доставки
		И из выпадающего списка с именем "_Отбор_МаршрутЗона" я выбираю по строке 'Зона доставки'
		Тогда таблица "ЗаданияНаДоставкуВРаботе" стала равной:
			| 'Водитель'             | 'Статус'      | 'Транспорт'     | 'Вес, кг' | 'Склад'     |
			| 'Водитель Петров Петр' | 'Формируется' | 'А524НВ Газель' | '153,75'  | 'Сырная ГП' |
	* Проверка отбора по периоду
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я указываю в диалоге стандартного периода период с "01.01.2021" по "02.01.2021"
		Тогда открылось окно 'Формирование заданий на доставку на  *'
		Тогда в таблице "ЗаданияНаДоставкуВРаботе" количество строк "равно" 0
	* Очистка отбора по периоду
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Формирование заданий на доставку на  *'
	* Проверка отбора по ТС
		И я нажимаю кнопку выбора у поля с именем "_Отбор_ТранспортноеСредство"
		Тогда открылось окно 'Выбор типа данных'
		И в таблице "" я перехожу к строке:
			| ''       |
			| 'Строка' |
		И в таблице "" я выбираю текущую строку
		Тогда открылось окно 'Формирование заданий на доставку на  *'
		И в поле с именем '_Отбор_ТранспортноеСредство' я ввожу текст 'Газель'
		И я перехожу к следующему реквизиту
		Тогда в таблице "ЗаданияНаДоставкуВРаботе" количество строк "равно" 0
	* Очистка отбора по ТС
		И я нажимаю кнопку очистить у поля с именем "_Отбор_ТранспортноеСредство"
	* Проверка отбора по водителю
		И я нажимаю кнопку выбора у поля с именем "_Отбор_Водитель"
		Тогда открылось окно 'Выбор типа данных'
		И в таблице "" я перехожу к строке:
			| ''       |
			| 'Строка' |
		И в таблице "" я выбираю текущую строку
		Тогда открылось окно 'Формирование заданий на доставку на  *'
		И в поле с именем '_Отбор_Водитель' я ввожу текст 'Петров'
		И я перехожу к следующему реквизиту
		Тогда в таблице "ЗаданияНаДоставкуВРаботе" количество строк "равно" 0
	* Очистка отбора по водителю
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Водитель"
	* Проверка отбора по складу
		И из выпадающего списка с именем "_Отбор_Склад" я выбираю по строке 'Склад готовой продукции'
		И я перехожу к следующему реквизиту
		Тогда в таблице "ЗаданияНаДоставкуВРаботе" количество строк "равно" 0
	* Очистка отбора по складу
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Склад"
	И Я очищаю все отборы в АРМе Рабочее место менеджера по доставке
	И Я закрываю окно 'Формирование заданий на доставку на  *'

Сценарий: 011.9. TransportLogistics. Завершение

	И я закрываю сеанс TESTCLIENT